Bug 1001713 - [ORIGIN]Incorrect Openshift Environment Variable for perl-5.16
[ORIGIN]Incorrect Openshift Environment Variable for perl-5.16
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 10:59 EDT by Chris Ryan
Modified: 2015-05-14 19:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:21:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ryan 2013-08-27 10:59:57 EDT
Description of problem:
When displaying the environment variables in a perl-5.16 app, the OPENSHIFT_PERL_VERSION shows OPENSHIFT_PERL_VERSION=5.10, instead of 5.16

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Create a new perl-5.16 application
rhc create-app pl516 perl-5.16

2. SSH into the app, and display the environment variables:
ssh <openshift_app>
env |grep 'OPENSHIFT_PERL_VERSION'

Actual results:
OPENSHIFT_PERL_VERSION=5.10

Expected results:
OPENSHIFT_PERL_VERSION=5.16

Additional info:
Comment 1 openshift-github-bot 2013-08-27 17:15:04 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/a9e36189258d9ac477d35ab148ac1a8ac8eb586f
Bug 1001713 - Set PERL_VERSION number in setup

* Provide support for version 5.16 on fedora and 5.10 on rhel
Comment 2 Meng Bo 2013-11-15 03:29:40 EST
Checked with the latest origin packages on (https://mirror.openshift.com/pub/origin-server/nightly/fedora-19/latest/x86_64/)

The perl cartridge package version is:
openshift-origin-cartridge-perl-1.16.4-1.git.0.e991020.fc19.noarch

Issue has been fixed.

[app1-bmeng.example.com 5285da626892df3f9b000007]\> env|grep PERL
OPENSHIFT_PERL_VERSION=5.16
...


Move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.